Bug 408060 - Panel added to the wrong screen
Summary: Panel added to the wrong screen
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Multi-screen support (show other bugs)
Version: 5.15.4
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-29 10:25 UTC by Germano Massullo
Modified: 2021-01-13 18:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.21


Attachments
screens layout (59.42 KB, image/jpeg)
2019-05-29 10:35 UTC, Germano Massullo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Germano Massullo 2019-05-29 10:25:55 UTC
SUMMARY
In a multiscreen setup, I need to add a Plasma panel to the second screen but it gets added to the first

KDE Frameworks 5.58.0
Plasma-desktop-5.15.4
Qt 5.12.1
Comment 1 Germano Massullo 2019-05-29 10:30:58 UTC
$ kscreen-doctor -o
Output: 66 DP-1 enabled connected  DisplayPort Modes: 69:1920x1200@60*! 70:1920x1080@50 71:1600x1200@60 72:1680x1050@60 73:1280x1024@75 74:1280x1024@60 75:1440x900@75 76:1440x900@60 77:1280x960@60 78:1280x800@60 79:1152x864@75 80:1280x720@60 81:1280x720@50 82:1280x720@60 83:1024x768@75 84:1024x768@70 85:1024x768@60 86:832x624@75 87:800x600@72 88:800x600@75 89:800x600@60 90:800x600@56 91:720x576@50 92:720x480@60 93:720x480@60 94:640x480@75 95:640x480@73 96:640x480@67 97:640x480@60 98:640x480@60 99:720x400@70 Geometry: 0,0 1200x1920 Scale: 1 Rotation: 2 
Output: 67 DP-2 enabled connected primary DisplayPort Modes: 100:2560x1440@60*! 101:1920x1080@60 102:1920x1080@50 103:1920x1080@50 104:1920x1080@60 105:1920x1080@30 106:1920x1080@30 107:1920x1080@25 108:1920x1080@25 109:1920x1080@30 110:1280x720@60 111:1280x720@50 112:720x576@50 113:720x576@50 114:720x480@60 115:720x480@60 116:720x480@60 117:640x480@60 69:1920x1200@60 71:1600x1200@60 72:1680x1050@60 73:1280x1024@75 74:1280x1024@60 75:1440x900@75 76:1440x900@60 80:1280x720@60 81:1280x720@50 82:1280x720@60 83:1024x768@75 85:1024x768@60 88:800x600@75 89:800x600@60 91:720x576@50 92:720x480@60 94:640x480@75 95:640x480@73 96:640x480@67 97:640x480@60 98:640x480@60 99:720x400@70 Geometry: 1200,240 2560x1440 Scale: 1 Rotation: 1 primary
Comment 2 Germano Massullo 2019-05-29 10:35:43 UTC
Created attachment 120371 [details]
screens layout

00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02)
        DeviceName: Onboard - Video
        Subsystem: Intel Corporation Device 2070
        Kernel driver in use: i915
Comment 3 Bug Janitor Service 2021-01-07 15:15:46 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/557
Comment 4 Zamundaaa 2021-01-11 22:10:02 UTC
Git commit 82996c4fc0af5b75573fa981717ac6e214acfa92 by Xaver Hugl.
Committed on 11/01/2021 at 22:09.
Pushed by zamundaaa into branch 'master'.

Make sure panels are created on the correct screen

M  +11   -17   shell/shellcorona.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/82996c4fc0af5b75573fa981717ac6e214acfa92